/* Moves the slide track leftwards (-250px) by half (18 images / 2 = 9) of its width*/
@keyframes scroll {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-250px * 3));
        -webkit-transform: translateX(calc(-250px * 3));
        -moz-transform: translateX(calc(-250px * 3));
        -ms-transform: translateX(calc(-250px * 3));
        -o-transform: translateX(calc(-250px * 3));
    }
}

@keyframes scroll-top {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-2527px));
        -webkit-transform: translateX(calc(-2527px));
        -moz-transform: translateX(calc(-2527px));
        -ms-transform: translateX(calc(-2527px));
        -o-transform: translateX(calc(-2527px));
    }
}

@keyframes scroll-bottom {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-1970px));
        -webkit-transform: translateX(calc(-1970px));
        -moz-transform: translateX(calc(-1970px));
        -ms-transform: translateX(calc(-1970px));
        -o-transform: translateX(calc(-1970px));
    }
}

@keyframes scroll-center {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-1731px));
        -webkit-transform: translateX(calc(-1731px));
        -moz-transform: translateX(calc(-1731px));
        -ms-transform: translateX(calc(-1731px));
        -o-transform: translateX(calc(-1731px));
    }
}

@keyframes client-scroll {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-250px * 10));
        -webkit-transform: translateX(calc(-250px * 10));
        -moz-transform: translateX(calc(-250px * 10));
        -ms-transform: translateX(calc(-250px * 10));
        -o-transform: translateX(calc(-250px * 10));
    }
}

@keyframes about-scroll {
    0% {
        transform: translateX(0);
        -webkit-transform: translateX(0);
        -moz-transform: translateX(0);
        -ms-transform: translateX(0);
        -o-transform: translateX(0);
    }

    100% {
        transform: translateX(calc(-6 * 421px));
        -webkit-transform: translateX(calc(-6 * 421px));
        -moz-transform: translateX(calc(-6 * 421px));
        -ms-transform: translateX(calc(-6 * 421px));
        -o-transform: translateX(calc(-6 * 421px));
    }
}
.client-slider {
    clip-path: inset(0 -100vw 0 0);
    overflow: visible !important;
}
div:is(.client-slider, .resolve-slider, .about-slider) {
    display: grid;
    overflow: hidden;
    place-items: center;
    position: relative;
    width: 100%;
}

div:is(.client-slider, .resolve-slider) {
    margin: auto;
}

div:is(.slide-track-top) {
    animation: scroll-top 45s linear infinite;
    -webkit-animation: scroll-top 45s linear infinite;
}

div:is(.slide-track-bottom) {
    animation: scroll-bottom 30s linear infinite;
    -webkit-animation: scroll-bottom 30s linear infinite;
}

div:is(
        .slide-track,
        .slide-track-top,
        .slide-track-center,
        .slide-track-bottom,
        .about-slide-track
    ) {
    display: flex;
}

/* every slide have a time that depends of their width */
/* example: slide track width = total number of slides (9 * 2(double html) = 18) x individual slide width (250px)*/
.slide-track {
    animation: client-scroll 45s linear infinite;
    width: calc(20 * 90px);
    -webkit-animation: client-scroll 45s linear infinite;
}

.slide-track-top {
    width: calc(2 * 2527px);
}

.slide-track-center {
    animation: scroll-center 30s linear infinite;
    width: calc(2 * 1731px);
    -webkit-animation: scroll-center 30s linear infinite;
}

.slide-track-bottom {
    width: calc(2 * 1970px);
}

div:is(.about-slide-track) {
    animation: about-scroll 45s linear infinite;
    width: calc(12 * 420px);
    -webkit-animation: about-scroll 45s linear infinite;
}

/* space between slides */
.slide-track,
.about-slide-track {
    column-gap: 100px;
}

/* height to the container of every slide */
.resolve-slide {
    height: 120px;
}

.client-slide {
    height: 80px;
}

.about-slide {
    height: 448px;
}

div:is(.client-slide, .resolve-slide) {
    align-items: center;
    display: flex;
    padding: 15px;
    perspective: 100px;
}

div:is(.client-slide, .resolve-slide) > article {
    transition: transform 1s;
    width: 100%;
}

/* shadows */
div:is(.resolve-slider)::before,
div:is(.resolve-slider)::after {
    background: linear-gradient(
        to right,
        rgba(255, 255, 255, 1) 0%,
        rgba(255, 255, 255, 0) 100%
    );
    content: "";
    height: 100%;
    position: absolute;
    width: 2%;
    z-index: 2;
}

div:is(.client-slider, .resolve-slider, .about-slider)::before {
    left: 0;
    top: 0;
}

div:is(.client-slider, .resolve-slider, .about-slider)::after {
    right: 0;
    top: 0;
    transform: rotateZ(180deg);
}

.about-slider {
    overflow: visible !important;
    clip-path: inset(-100vw -100vw -100vw 0);
}
@media (max-width: 768px) {
    .about-slider {
        clip-path: none;
    }
    .client-slider {
        height: 110px;
        clip-path: none;
    }
}

.carousel-team {
    margin-top: 60px;
    margin-bottom: 60px;
}

.team-button {
    display: flex;
    justify-content: center;
    margin-bottom: 60px;
}

div.btn-container {
    min-width: 200px;
}

.carousel {
    display: flex;
}

.carousel-container {
    padding-left: 16px;
    padding-right: 16px;
    width: 33.3%;
    justify-content: center;
    display: flex;
}

.carousel-item {
    justify-content: space-between;
}

.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {
    display: flex;
}

.carousel-inner {
    position: unset;
    display: inline-flex;
    width: 89%;
}

.carousel-control-prev {
    position: unset;
    display: inline-flex;
    width: 5%;
}
.carousel-control-next {
    position: unset;
    display: inline-flex;
    width: 5%;
}

.carousel-card {
    background: #f3f3f3;
    transform-style: preserve-3d;
    width: 255px;
    height: 404px;
    margin-right: 18px;
    margin-bottom: 18px;
    border-radius: 32px;
    border: 1px solid #232227;
    padding: 16px;
}

.carousel-card:hover {
    transform: translate(18px, 18px);
    transition: transform 0.5s ease-in-out;
}

.carousel-card::before {
    border-radius: 32px;
    border: 1px solid #232227;
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: white;
    bottom: -18px;
    right: -18px;
    transform: translateZ(-1px);
    box-sizing: content-box; /* Only if you have some reset that makes everything border-box */
}

.carousel-card:hover::before {
    transform: translate(-17px, -17px) translateZ(-1px);
    transition: transform 0.5s ease-in-out;
}

.carousel-img {
    border-radius: 24px;
    border: 1px solid #232227;
    width: 100%;
    height: 227px;
    overflow: hidden;
}

.carousel-img.green {
    background: rgba(65, 184, 131, 0.4);
}

.carousel-img.yellow {
    background: rgba(255, 207, 1, 0.4);
}

.carousel-img img {
    width: 100%;
    height: 100%;
}

.carousel-text {
    margin-top: 18px;
    text-align: center;
}

.carousel-text h3 {
    font-family: Poppins;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
}
.carousel-text p {
    color: #232227;
    font-family: Inter;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 19px;
}
.carousel-text span {
    margin-top: 5px;

    color: #232227;
    font-family: Poppins;
    font-size: 12px;
    font-style: italic;
    font-weight: 400;
    line-height: 24px;
}

@media (max-width: 992px) {
    .carousel-control-prev,
    .carousel-control-next {
        width: 8%;
    }
    .carousel-inner {
        width: 84%;
    }
}

@media (min-width: 768px) {
    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(50%);
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-50%);
    }
}

@media (min-width: 992px) {
    /* medium and up screens */
    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(33.3%);
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-33.3%);
    }
}

@media (min-width: 768px) {
    .carousel-inner .carousel-item-end,
    .carousel-inner .carousel-item-start {
        transform: translateX(0);
    }
}

@media (max-width: 1200px) {
    .carousel-container {
        padding-left: 2px;
        padding-right: 2px;
    }
}
@media (max-width: 992px) {
    .carousel-container {
        width: 50%;
        padding-left: 16px;
        padding-right: 16px;
    }
}
@media (max-width: 768px) {
    .carousel-container {
        width: 100%;
        padding-left: 16px;
        padding-right: 16px;
        justify-content: center;
    }

    .carousel-inner {
        overflow: visible;
        width: 100%;
    }

    .carousel-control-prev,
    .carousel-control-next {
        position: absolute;
    }
}

@media (max-width: 767px) {
    /* medium and up screens */
    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(305px);
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-305px);
    }

    .team-home .container {
        max-width: 100%;
    }

    .carousel-item {
        justify-content: center;
    }
}

.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start {
    transform: translateX(0);
}
